ruby-playerc_3.0.2+dfsg-4+b1_amd64.deb


Advertisement

Description

ruby-playerc - Networked server for robots and sensors - Ruby wrapper

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name ruby-playerc
Package version 3.0.2+dfsg
Package release 4+b1
Package architecture amd64
Package type deb
Installed size 1.47 KB
Download size 463.23 KB
Official Mirror ftp.br.debian.org
Provides a network interface to a variety of robot and sensor
hardware. Player's client/server model allows robot control programs
to be written in any programming language and to run on any computer
with a network connection to the robot. Player supports multiple
concurrent client connections to devices, creating new possibilities
for distributed and collaborative sensing and control.
This package contains the Ruby wrapper module.

Alternatives

Package Version Architecture Repository
ruby-playerc_3.0.2+dfsg-4+b1_i386.deb 3.0.2+dfsg i386 Debian Main
ruby-playerc - - -

Requires

Name Value
libc6 >= 2.2.5
libgeos-c1 >= 3.3.1
libjpeg8 >= 8c
libplayerc3.0 -
libplayercommon3.0 -
libplayerinterface3.0 -
libplayerjpeg3.0 -
libplayerwkb3.0 -
libruby1.8 >= 1.8.7.352
zlib1g >= 1:1.1.4

Download

Type URL
Binary Package ruby-playerc_3.0.2+dfsg-4+b1_amd64.deb
Source Package player

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-playerc deb package:
    # sudo apt-get install ruby-playerc

Files

Path
/usr/lib/site_ruby/1.8/x86_64-linux/playerc.so
/usr/share/doc/ruby-playerc/changelog.Debian.gz
/usr/share/doc/ruby-playerc/changelog.gz
/usr/share/doc/ruby-playerc/copyright

Changelog

2012-03-25 - Michael Janssen <jamuraa@debian.org>
player (3.0.2+dfsg-4) unstable; urgency=low
* Patch for zlib 1.2.6 compatibility (FTBFS).
* Patch for libgeos changes. Closes: #662593
* Bump Standards-Version to 3.9.3 (no changes)
2011-12-06 - Michael Janssen <jamuraa@debian.org>
player (3.0.2+dfsg-3) unstable; urgency=low
* Ack NMU.
* Fix typo in package description. Closes: #618845
* Remove build-dependency on libmagick++-dev because player
doesn't use imagemagick anymore. Closes: #625579
* Upgrade to libpqxx3. Closes: #623082
* Enable a couple more drivers for old cameras
(Adds build-dep: libv4l-dev)
* Add build-dep: libusb-dev to build more drivers
* Fix spelling error in robot-playerjoy manpage
* Bump Standard-Version to 3.9.2 (no changes)
2011-03-05 - Jakub Wilk <jwilk@debian.org>
player (3.0.2+dfsg-2.1) unstable; urgency=low
* Non-maintainer upload.
* Build-depend on python-support rather than (unused) python-central
(closes: #614614).
2010-12-15 - Michael Janssen <jamuraa@debian.org>
player (3.0.2+dfsg-2) unstable; urgency=low
* Add /usr/lib/robot-player to the places searched for plugins
to play nice with stage-player-plugin which installs the stage
plugin there.
2010-12-04 - Michael Janssen <jamuraa@debian.org>
player (3.0.2+dfsg-1) unstable; urgency=low
* Remove libphidgets support since it is removed from Debian.
(Closes: #584363)
* Redo patch for clarity.
* Ack NMU (thanks Christoph).
* New upload forces us to recompile against an existent libcv.
(Closes: #598002)
* Bump Standards-Version to 3.9.1 (no changes to comply).
* New upstream version.
* Include patches for FTBFS for arm{,el}, alpha, mips{,el}, ia64.
(thanks Daniel Hess) (Closes: #584232)
* Don't install the binaries for the examples. (Closes: #554179)
* Raise exceptions correctly in player{interface,xdr}gen
(Closes: #585241)
2010-06-02 - Daniel Hess <daniel@rio-grande.ping.de>
player (3.0.1+dfsg-1.2) unstable; urgency=low
* Non-maintainer upload.
* Fix FTBS on armel, alpha and ia64 by using non-paused port io operations
instead of the ā€œ_pā€ onces not defined on this architectures
(fix-portio.patch).
* Fix FTBS on mips and mipsel by removing zero initializer from 'struct
sigaction' variables. 'struct sigaction' is defined different on mips and
mipsel and the variables are set directly after declaration anyway.
2010-05-22 - Christoph Egger <christoph@debian.org>
player (3.0.1+dfsg-1.1) unstable; urgency=low
* Non-maintainer upload.
* Add cmake build-dependency (Closes: #578785)
2010-03-30 - Michael Janssen <jamuraa@debian.org>
player (3.0.1+dfsg-1) unstable; urgency=low
* New upstream version. Closes: #528653, #487395.
- Clean up sources to remove files that we aren't using
in Debian and are not DFSG, and unlabeled ones we also 
aren't using
* Ack patch from Daniel Hess. Closes: #494713
- Fix typo in package description.
- Add man pages for installed binaries
- Stronger dependencies betwen libplayer*-dev and libplayer*
* Standards-Version to 3.8.4: No changes needed
* Add and remove packages for new and removed / renamed libraries
2009-06-02 - Michael Janssen <jamuraa@debian.org>
player (2.1.2-1) unstable; urgency=low
* New upstream version. Closes: #528653, #487395.
* Ack patches from Daniel Hess - changes are incorporaed. Closes: #494713.
- Update package names in Build-Depends. 
- Fix typo in package description.
- Add man pages for installed binaries.
- Tighten depends between libplayer*-dev and libplayer* packages by
including exact version.
- Reflect changes to *.pc files in the corresponding libplayer*-dev
packages.
* Add packages for libplayerutils2, libplayerutils2-dev, 
libplayerudp2, libplayerudp2-dev.
* Use dpatch. 
* Standards-Version to 3.8.1.
2008-02-28 - Michael Janssen <jamuraa@debian.org>
player (2.0.4-4) unstable; urgency=low
* Fix #includes for GCC 4.3. Closes: #456063.
* Standards-Version bump to 3.7.3

See Also

Package Description
ruby-polyglot_0.3.3-3_all.deb Custom language loaders for specified file extensions
ruby-popen4_0.1.4-1_all.deb ruby open4 cross-platform library
ruby-poppler_1.1.3-2+b1_amd64.deb Ruby bindinds for the libpoppler-glib library
ruby-posix-spawn_0.3.6-1_amd64.deb Ruby Implementation of posix_spawn(2) for faster process spawning
ruby-prawn-doc_1.0.0~rc1+dfsg1-3_all.deb Fast, nimble PDF generation library for Ruby (documentation)
ruby-prawn_1.0.0~rc1+dfsg1-3_all.deb Fast, nimble PDF generation library for Ruby
ruby-prof_0.7.3-1.1_amd64.deb A fast code profiler for Ruby
ruby-progressbar_0.11.0-2_all.deb Text progress bar library for Ruby
ruby-qdbm_1.8.78-2_amd64.deb QDBM Database Libraries for Ruby
ruby-qpid_0.16-6+deb7u1_amd64.deb enterprise messaging system - Ruby bindings
ruby-qscintilla2_4.8.4-1_amd64.deb QScintilla2 bindings for the Ruby language
ruby-qt4-declarative_4.8.4-1_amd64.deb QtDeclarative bindings for the Ruby language
ruby-qt4-script_4.8.4-1_amd64.deb QtScript bindings for the Ruby language
ruby-qt4-test_4.8.4-1_amd64.deb QtTest bindings for the Ruby language
ruby-qt4-uitools_4.8.4-1_amd64.deb QtUiTools bindings for the Ruby language
Advertisement
Advertisement